2480154 - Lumira Compatibility with Microsoft SQL Server 2016

SAP Knowledge Base Article - Public

2480154 - Lumira Compatibility with Microsoft SQL Server 2016

Symptom

When trying to use Microsoft SQL Server 2016 with SAP Business Objects Lumira 1.31.5 the following error message is displayed. 

  • com/microsoft/sqlserver/jdbc/SQLServerDriver has been compiled by a more recent version of the Java Runtime (class file version 52.0), this version of the Java Runtime only recognizes class file versions up to 51.0

LumiraError.png

Environment

  • SAP Business Objects Lumira 1.31.5 and below
  • SAP Business Objects Lumira Discovery 2.0
  • Microsoft SQL Server 2016
  • Microsoft SQL Server 2014 - JDBC Driver

Reproducing the Issue

  1. In Lumira, select File > New
  2. In the "Add New Dataset" window (see KBA 2233344), select "Query with SQL" 
  3. In the New "Add New DataSet" allowing to select the driver, as there are no "MS SQL Server 2016 - JDBC Drivers" driver, use "MS SQL Server 2014 - JDBC Drivers", or another MS SQL JDBC driver to connect to Microsoft SQL Server 2016

Cause

According to SAP Business Objects Lumira Product Availabilty Matrix, Microsoft SQL Server 2016 is not supported. 

Resolution

The MS JDBC Driver for MS SQL Server 2016 is not currently supported with Lumira.
Using other JDBC Drivers to connect to the server will fail with the error above.  

At the time this KBA is written, MS SQL Server 2016 is not supported with Lumira. 
For further information refer to the Pam.

Keywords

KBA , BI-LUM-DIS , Lumira Desktop/Discovery , Problem

Product

SAP Lumira, desktop edition 1.0